Bug 38849 - procinfo doesn't show disk statistics on Red Hat 7.1
procinfo doesn't show disk statistics on Red Hat 7.1
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: procinfo (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-02 17:31 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-02 17:31:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-02 17:31:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


"procinfo" on Red Hat 7.1 is version "procinfo-17-10". It works fine with 
the 2.2 kernel, but the 2.4 kernel changed the format of the disk 
statistics in "/proc/stat". As a result, "procinfo" on Red Hat 7.1 doesn't 
display disk statistics. 

Reproducible: Always
Steps to Reproduce:
1. Install Red Hat 7.1 and "procinfo".
2. Type "procinfo -Dn10" in a terminal window.
3. Do some disk activity. You won't see any disk statistics.
4. Repeat the above steps on a 7.0 system with the 2.2 kernel and you will 
see disk statistics.
Comment 1 Bernhard Rosenkraenzer 2001-05-03 08:14:51 EDT
Fixed in 18-1
Comment 2 Need Real Name 2001-05-03 09:33:58 EDT
That's great -- it's fixed in 18-1! When can I expect a new RPM to be posted to 
the Red Hat updates/errata site?
Comment 3 Bernhard Rosenkraenzer 2001-05-03 09:59:37 EDT
Not at all. We release errata packages for critical bugs and security problems 
only.

As the resolution ("RAWHIDE") indicates, you can get an updated package from 
our rawhide tree, 
ftp://ftp.redhat.com/pub/redhat/linux/rawhide/i386/RedHat/RPMS where it should 
be available later this week.

It is already available at http://www.linux-easy.com/rh-updates/.

Note You need to log in before you can comment on or make changes to this bug.